#if !defined(AFX_APLAPPROVALVIEW_H__30A0A216_7156_4F85_9B33_020802F9A4A3__INCLUDED_)
#define AFX_APLAPPROVALVIEW_H__30A0A216_7156_4F85_9B33_020802F9A4A3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// aplApprovalView.h : header file
//

#include "apl_gui.h"
#include "apl_api.h"
#include "aplPropsView.h"
/////////////////////////////////////////////////////////////////////////////
// CaplApprovalView view

class CaplApprovalView : public CaplPropsView
{
protected:
	CaplApprovalView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CaplApprovalView)

// Attributes
public:

// Operations
public:

	virtual	BOOL	InitColumns(void);
	virtual BOOL	LoadData(void);

	virtual void	OnBAdd(void);
	virtual void	OnBDel(void);
	virtual void	OnBProps(void);

	virtual void	ChangeCtrlsState(void);

protected:

	virtual BOOL	_FillItem(int iPos,CaplInstance* ciIn);

	BOOL			_CanDel(CaplInstance* ciIn);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CaplApprovalView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CaplApprovalView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CaplApprovalView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APLAPPROVALVIEW_H__30A0A216_7156_4F85_9B33_020802F9A4A3__INCLUDED_)
